Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class ParseStatus

    java.lang.Object
      org.codehaus.groovy.tools.shell.ParseStatus

    final class ParseStatus

Container for parse status details.

Property Summary
`java.lang.Throwable` | `cause`
`ParseCode` | `code`

Constructor Summary
`ParseStatus(ParseCode code, java.lang.Throwable cause)`
`ParseStatus(ParseCode code)`
`ParseStatus(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### cause

    final java.lang.Throwable cause

### code

    final ParseCode code

Constructor Detail

### ParseStatus

    ParseStatus(ParseCode code, java.lang.Throwable cause)

### ParseStatus

    ParseStatus(ParseCode code)

### ParseStatus

    ParseStatus(java.lang.Throwable cause)

Groovy Documentation